##
##  nail.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2002 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2002 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2002 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         nail
Summary:      A MIME-capable Berkeley Mail
URL:          http://omnibus.ruf.uni-freiburg.de/~gritter/
Vendor:       BSD, Gunnar Ritter
Packager:     The OpenPKG Project
Distribution: OpenPKG [EXP]
Group:        Mail
License:      BSD
Version:      9.31
Release:      20020618

#   list of sources
Source0:      http://omnibus.ruf.uni-freiburg.de/~gritter/archive/nail/nail-%{version}.tar.gz

#   build information
#Prefix:       %{l_prefix}
Prefix:       /usr
#BuildRoot:    %{l_buildroot}
BuildRoot:    /var/tmp/nail-%{version}-%{release}
#BuildPreReq:  OpenPKG, openpkg >= 20020206, MTA
#PreReq:       OpenPKG, openpkg >= 20020206, MTA
AutoReq:      no
AutoReqProv:  no

%Changelog
 * Wed Aug 14 2002 Karl O. Pinc <kop@meme.com>
   - Modified specfile for redhat 7.2

%description
    Nail is a mail user agent derived from Berkeley Mail 8.1 and
    contains builtin support for MIME messages. This means it can handle
    international character sets as well as attachments. In recent
    system environments, nail is Unicode/UTF-8 capable. It further
    contains some minor enhancements like the ability to set a From:
    Address.

%prep
%setup -q

%build
    CC="%{__cc}" \
    CFLAGS="%{optflags}" \
    ./configure \
        --prefix=%{prefix} \
        --with-sendmail=%{prefix}/sbin/sendmail \
        --disable-nls
#    %{l_make} %{l_mflags -O}
     make

%install
    rm -rf $RPM_BUILD_ROOT
#    %{l_make} %{l_mflags} install \
    make install \
        DESTDIR=$RPM_BUILD_ROOT \
        AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    ln $RPM_BUILD_ROOT%{prefix}/bin/nail \
       $RPM_BUILD_ROOT%{prefix}/bin/mail
    ln $RPM_BUILD_ROOT%{prefix}/man/man1/nail.1 \
       $RPM_BUILD_ROOT%{prefix}/man/man1/mail.1
    strip $RPM_BUILD_ROOT%{prefix}/bin/* >/dev/null 2>&1 || true
#    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files 
/etc/nail.rc
/usr/bin/nail
/usr/man/man1/nail.1.gz

%clean
    rm -rf $RPM_BUILD_ROOT

